# Uses of Class
java.net.HttpCookie

Packages that use HttpCookie
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of HttpCookie in java.net

Methods in java.net that return types with arguments of type HttpCookie
Modifier and Type
Method
Description
`List<HttpCookie>`
CookieStore.`get​(URI uri)`
Retrieve cookies associated with given URI, or whose domain matches the given URI.
`List<HttpCookie>`
CookieStore.`getCookies()`
Get all not-expired cookies in cookie store.
`static List<HttpCookie>`
HttpCookie.`parse​(String header)`
Constructs cookies from set-cookie or set-cookie2 header string.
Methods in java.net with parameters of type HttpCookie
Modifier and Type
Method
Description
`void`
CookieStore.`add​(URI uri, HttpCookie cookie)`
Adds one HTTP cookie to the store.
`boolean`
CookieStore.`remove​(URI uri, HttpCookie cookie)`
Remove a cookie from store.
`boolean`
CookiePolicy.`shouldAccept​(URI uri, HttpCookie cookie)`
Will be called to see whether or not this cookie should be accepted.